---
apiVersion: kubeovn.io/v1
kind: Subnet
metadata:
  name: {{subnet_name | lower}}
  labels:
    team: {{subnet_name | lower}}
spec:
  cidrBlock: {{cidr_block}}
  default: false
  disableGatewayCheck: true
  disableInterConnection: false
  excludeIps:
{% for ip in exclude_ips %}
    - {{ ip.start }}..{{ ip.end }}
{% endfor %}
  gateway: {{subnet_gateway}}
  gatewayNode: ""
  gatewayType: distributed
  natOutgoing: false
  private: false
  protocol: IPv4
  logicalGateway: false
  vlan: {{vlan_name}}
  vpc: {{vpc_name}}
  provider: attachnet.default.ovn
...

